/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package dict;

import edu.smu.tspell.wordnet.SynsetType;
import java.util.Collection;

/**
 *
 * @author chepa
 */
public interface IDictionary {

	public Collection<String> getSynonyms(String phrase);

	public Collection<String> getSynonyms(String phrase, SynsetType type);

	public Collection<String> getHyponyms(String phrase);

	public Collection<String> getHypernyms(String phrase);

	public Collection<String> getMeronyms(String phrase);

	public Collection<String> getHolonyms(String phrase);

	public String getRootVerb(String verb);

	public boolean isSimilarTo(String str, String candidate, SynsetType type);
}
